#! /bin/csh -f
#
# Tested NE2000 campatible PCI cards
#  vendor-ID, device-ID
#  1106, 926		VIA 82C926 Amazon (works 16bit transfer only)
#  10ec, 8029		Realtek 8029 (32bit and 16bit transfer)
#
#
# Untested NE2000 campatible PCI cards
#  vendor-ID, device-ID
#  1050, 940		Winbond 89C940
#  1050, 5a5a		Winbond 89C940F
#  11f6, 1401		Compex ReadyLink 2000
#  8e2e, 3000		KTI ET32P2
#  4a14, 5000		NetVin NV5000
#  10bd, e34		SureCom NE34

set DEVLIST = ""
#  1106,926   VIA 82C926 Amazon (works 16bit transfer only)
set DEVLIST = "$DEVLIST `./i386/finddev -v 1106 -d 926`"

#  10ec,8029  Realtek 8029 (32bit and 16bit transfer)
set DEVLIST = "$DEVLIST `./i386/finddev -v 10ec -d 8029`"

#  1050,940	Winbond 89C940
set DEVLIST = "$DEVLIST `./i386/finddev -v 1050 -d 940`"

#  1050,5a5a	Winbond 89C940F
set DEVLIST = "$DEVLIST `./i386/finddev -v 1050 -d 5a5a`"

#  11f6,1401	Compex ReadyLink 2000
set DEVLIST = "$DEVLIST `./i386/finddev -v 11f6 -d 1401`"

#  8e2e,3000	KTI ET32P2
set DEVLIST = "$DEVLIST `./i386/finddev -v 8e2e -d 3000`"

#  4a14,5000	NetVin NV5000
set DEVLIST = "$DEVLIST `./i386/finddev -v 4a14 -d 5000`"

#  10bd,e34	SureCom NE34
set DEVLIST = "$DEVLIST `./i386/finddev -v 10bd -d e34`"

#echo $DEVLIST

/usr/sbin/add_drv -n -v -m '* 0600 root sys' -i "$DEVLIST" ni
sync
